## org.eclipse.emf.cdo.net4j
Interface CDOSession.Options

All Superinterfaces:
  CDOCommonSession.Options, CDOSession.Options, org.eclipse.net4j.util.event.INotifier, org.eclipse.net4j.util.options.IOptions

Enclosing interface:
  CDOSession

    public static interface CDOSession.Options

extends CDOSession.Options

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession.Options
`CDOSession.Options.CollectionLoadingPolicyEvent, CDOSession.Options.GeneratedPackageEmulationEvent, CDOSession.Options.PassiveUpdateEvent, CDOSession.Options.RevisionFactoryEvent`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Method Summary
`int` `getCommitTimeout()` Returns the timeout for commit operations in seconds.
`int` `getProgressInterval()` Returns the interval for progress reports of commit operations in seconds.
`org.eclipse.net4j.signal.ISignalProtocol<CDOCommonSession>` `getProtocol()` Returns the Net4j `protocol` instance that represents the underlying signalling connection to the repository of this session.
`void` `setCommitTimeout(int commitTimeout)` Sets the timeout for commit operations in seconds.
`void` `setProgressInterval(int progressInterval)` Sets the interval for progress reports of commit operations in seconds.

Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession.Options
`getCollectionLoadingPolicy, getRevisionFactory, isGeneratedPackageEmulationEnabled, setCollectionLoadingPolicy, setGeneratedPackageEmulationEnabled, setPassiveUpdateEnabled, setRevisionFactory`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession.Options
`isPassiveUpdateEnabled`

Methods inherited from interface org.eclipse.net4j.util.options.IOptions
`getContainer`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Method Detail

### getProtocol

    org.eclipse.net4j.signal.ISignalProtocol<CDOCommonSession> getProtocol()

  Returns the Net4j `protocol` instance that represents the underlying signalling connection to the repository of this session.

### getCommitTimeout

    int getCommitTimeout()

  Returns the timeout for commit operations in seconds..

### setCommitTimeout

    void setCommitTimeout(int commitTimeout)

  Sets the timeout for commit operations in seconds..

### getProgressInterval

    int getProgressInterval()

  Returns the interval for progress reports of commit operations in seconds..

### setProgressInterval

    void setProgressInterval(int progressInterval)

  Sets the interval for progress reports of commit operations in seconds..

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.